@media screen and (max-width: 767px) {
  .movie-dialog-container {
    flex-direction: column;
  }
}

.movie-dialog-container {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .movie-poster img {
    max-width: 300px; /* Adjust based on preference */
    margin-right: 20px;
    border-radius: 5px;
  }

  .movie-details {
    flex-grow: 1;
  }
  
  .movie-details h2 {
    margin: 0;
  }
  
  .movie-details h4 {
    margin: 0;
    color: grey;
    font-weight: normal;
  }
  
  .movie-details p {
    margin-top: 20px;
  }

  @media screen and (max-width: 600px) {
    .movie-poster img {
      display: none;
    }
  }

  @media screen and (max-width: 600px) {
    .movie-dialog-container { 
      align-items: stretch;
      justify-content: flex-start;
    }

    .movie-details {
      font-size: 13px; 
    }

    .movie-details p {
      margin-top: 10px;
    }
  }
  
  .cast-member {
    display: flex;
    justify-content: space-between;
    margin-bottom: 4px;
  }
  
  .character,
  .actor-name {
    flex-basis: 60%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .clickable-expand {
    cursor: pointer;
    color: #303F9F;
    user-select: none;
  }

